#version 330 core
#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif
layout (location = 0) in vec3 vcoord;		// == gl_Vertex
layout (location = 2) in vec2 TexCoords;
layout (location = 3) in vec2 LightMapCoords;
layout (location = 5) in vec2 DetailTexCoords;
layout (location = 6) in vec2 MacroTexCoords;

layout(std140) uniform GlobalMatrices
{
	mat4 modelviewprojMat;
	mat4 modelviewMat; 
};

out vec4 vEyeSpacePos;
out vec2 vTexCoords;
out vec2 vLightMapCoords;
out vec2 vDetailTexCoords;
out vec2 vMacroTexCoords;

void main(void)
{

	vec4 vEyeSpacePosVertex = modelviewMat*vec4(vcoord, 1.0);
	vEyeSpacePos = vEyeSpacePosVertex;

	//Texture UV to fragment
	vTexCoords=TexCoords;
	
	//Texture UV Lightmap to fragment
	vLightMapCoords	= LightMapCoords;

	// Texture UV DetailTexture
	vDetailTexCoords = DetailTexCoords;

	// Texture UV Macrotexture
	vMacroTexCoords = MacroTexCoords;
	
	gl_Position = modelviewprojMat * vec4(vcoord, 1.0);
}
