#version 330 core
#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif
uniform sampler2D Texture0;
uniform float AlphaThreshold;
uniform vec4 DrawColor;

in vec4 vLightColor;
in vec2 vTexCoords;

out vec4 FragColor;

void main(void)
{
	vec4 Color = texture(Texture0, vTexCoords); 

	if(Color.a <= AlphaThreshold) 
        discard;

	if (DrawColor.x != 0 || DrawColor.y !=0 || DrawColor.z != 0)
		Color *= DrawColor;

	FragColor = Color*vLightColor; 
}